Extending Qt Creator Manual | BaseAnnotationHighlighter

Extending Qt Creator Manual 4.3.0

# BaseAnnotationHighlighter Class

(VcsBase::BaseAnnotationHighlighter)

The BaseAnnotationHighlighter class is the base class for a highlighter for annotation lines of the form 'changenumber:XXXX'. More...

Header: | #include <BaseAnnotationHighlighter>
Inherits: | TextEditor::SyntaxHighlighter

- List of all members, including inherited members

## Public Types

typedef | ChangeNumbers

## Public Functions

| BaseAnnotationHighlighter(const ChangeNumbers &changeNumbers, QTextDocument *document = 0)
void | setChangeNumbers(const ChangeNumbers &changeNumbers)

- 4 public functions inherited from TextEditor::SyntaxHighlighter

### Additional Inherited Members

- 2 public slots inherited from TextEditor::SyntaxHighlighter
- 1 static public member inherited from TextEditor::SyntaxHighlighter
- 14 protected functions inherited from TextEditor::SyntaxHighlighter

## Detailed Description

The BaseAnnotationHighlighter class is the base class for a highlighter for annotation lines of the form 'changenumber:XXXX'.

The change numbers are assigned a color gradient. Example:

      112: text1 <color 1>
      113: text2 <color 2>
      112: text3 <color 1>

## Member Type Documentation

### typedef BaseAnnotationHighlighter::ChangeNumbers

## Member Function Documentation

### BaseAnnotationHighlighter::BaseAnnotationHighlighter(const ChangeNumbers &changeNumbers, QTextDocument *document = 0)

Default constructs an instance of BaseAnnotationHighlighter.

### void BaseAnnotationHighlighter::setChangeNumbers(const ChangeNumbers &changeNumbers)